﻿/**
 *
 * Copyright (c) 2002-2004 Bluetetra Software.  All rights reserved.
 *
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL BLUETETRA SOFTWARE BE LIABLE FOR 
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
 * IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN 
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  
 * http://www.bluetetra.com
 *
 */

var target = "content";
var xsd_ciFileName = "componentIndex.html";
var xsd_nsFilterFileName = "nsFilter.html";

function CN (href, name, appendNSFlag, children) {
	this.href = href;
	this.name = name;
	this.appendNSFlag = appendNSFlag;

	this.children = children;
	this.hasChild = (children != null) && (children.length>0);	
	
	this.namespace = null;
}

function C (attributeList, attributeGroupList,
						simpleTypeList, complexTypeList,
						modelGroupList, elementList, 
						notationList) 
{
	this.attributes = attributeList;
	this.attributegroups = attributeGroupList;
	this.simpletypes = simpleTypeList;
	this.complextypes = complexTypeList;
	this.modelgroups = modelGroupList;
	this.elements = elementList;
	this.notations = notationList;
}

function component_showAllComponents() {
	parent._xsdNsFilter = null;
	parent.index.location.href= "xsd/" + xsd_ciFileName;
}

function component_filterComponents () {
	parent._href = "xsd/" + xsd_ciFileName;
	window.open(xsd_nsFilterFileName, "_blank", 
		"height=200,width=400,location=no,menubar=no,scrollbars=yes,status=yes,resizable=yes,toolbar=no");

}

function component_groupByNS (flag) {
	parent._groupByNSFlag = flag;
	parent.index.location.href=xsd_ciFileName;	
}

function component_setFilterToAll() {
	var nsList = new Array();
	var i = 0;

	for (var ns in componentDB) {
		if (parent._xsdNsFilter == null) {
			if (ns == "http://schemas.xmlsoap.org/soap/encoding/") {
				//NOOP
			} else {
				nsList[i] = ns;
				i++;
			}
		} else {
			nsList[i] = ns; 
			i++;		
		}
	}

	parent._xsdNsFilter = nsList;
}

function component_showComponentsNoNS (nsList, componentList) {

	var components = new Array ();
	var n = 0;

	for (var i=0; i<componentList.length; i++) {
		var list = componentList [i];
		var namespace = nsList[i];

		if (list == null) {
			continue;
		}
	
		for (var j=0; j<list.length; j++) {
			components[n] = list[j];
			components[n].namespace = namespace;
			n++;	
		}	
	}
	
	components = components.sort(function (n1,n2) {return n1.name.toLowerCase().localeCompare (n2.name.toLowerCase());});

	component_outputList (null, components);	
}


function component_showComponentsNS (nsList, componentList) {

	for (var i=0; i<componentList.length; i++) {
		var list = componentList [i];
		var namespace = nsList[i];

		if (list == null) {
			continue;
		}
	
		for (var j=0; j<list.length; j++) {
			list[j].namespace = namespace;
		}	

		component_outputList (namespace, list);	
	}
}


function component_showComponents (nsList, componentList) {
	if (parent._groupByNSFlag) {
		component_showComponentsNS (nsList, componentList)
	} else {
		component_showComponentsNoNS (nsList, componentList)
	}
}

function component_showAttributes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var attributes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		attributes [i] = componentDB [nsList[i]].attributes;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, attributes);
}

function component_showAttributeGroups() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var attributegroups = new Array();
	var nss = new Array();		

	for (var i=0; i<nsList.length; i++) {
		attributegroups [i] = componentDB [nsList[i]].attributegroups;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, attributegroups);
}

function component_showSimpleTypes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var simpletypes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		simpletypes [i] = componentDB [nsList[i]].simpletypes;	
		nss [i] = nsList[i];
	}		

	component_showComponents (nss, simpletypes);
}

function component_showComplexTypes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var complextypes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		complextypes [i] = componentDB [nsList[i]].complextypes;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, complextypes);
}

function component_showElements() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var elements = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		elements [i] = componentDB [nsList[i]].elements;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, elements);
}

function component_showModelGroups() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var modelgroups = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		modelgroups [i] = componentDB [nsList[i]].modelgroups;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, modelgroups);
}

function component_showNotations() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var notations = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		notations [i] = componentDB [nsList[i]].notations;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, notations);

}


function component_getNodeText(node) {
	if (node.appendNSFlag) {
		return node.name + "("+encodeURI(node.namespace)+")";
	} else {
		return node.name;
	} 
}

function component_outputLeaf (node) {
	var str = '<span class="leaf">'+
			  '<nobr><img src="img/leaf.gif" hspace="2" align="middle">'+
			  '<a class="chref" href="'+node.href+
			  '" title="'+component_getNodeText(node)+
			  '" target="'+target+'">'+component_getNodeText(node)+'</a></nobr>'+
			  '</span><br />'
	
	document.write (str);
}

function component_outputNonLeaf (node) {
	//initially, the childnodes are hidden

	var str = '<div><div class="nonleaf">'+
			'<nobr><img style="cursor: pointer" src="img/plus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			'<a class="chref" href="'+node.href+
			'" title="'+component_getNodeText(node)+
			'" target="'+target+'">'+component_getNodeText(node)+'</a></nobr></div>'+
			'<div style="display:none;margin-left: 0.8em">';

	document.write (str);

	var childs = node.children;
	for (var i=0; i<childs.length; i++) {
		component_outputTree (childs[i]);
	}					

	document.write ('</div></div>');
}

function component_outputTree (node) {
	if (node.hasChild == false) {
		component_outputLeaf (node);
	} else {
		component_outputNonLeaf (node);
	}
}

function component_outputList (ns, list) {	
	
	if (list == null || list.length<=0) {
		return;
	}

	if (parent._groupByNSFlag) {
		var fpath = componentNSMap[ns];

		var str = '<div class="nsBox"><div class="itemNS">'+
				'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
				'<a class="chref" href="'+fpath+
				'" title="'+encodeURI(ns)+
				'" target="'+target+'">'+encodeURI(ns)+'</a></nobr></div>'+
				'<div style="margin-left: 0.5em">';

		document.write (str);
	}

	for (var i=0; i<list.length; i++) {
		component_outputTree (list[i]);
	}
	
	if (parent._groupByNSFlag) {
		document.write ('</div></div>');
	}
}


var componentDB = new Array();
var componentNSMap = new Array();

componentDB ["http://www.endeca.com/endeca-server/cluster/1/0"] =  new C (new Array(),
					new Array(),
					new Array(),
					new Array(),
					new Array(),
					new Array(new CN("2/element/clusterFault.html","clusterFault",false,new Array(new CN("2/element/78.html","reason",false,null))),new CN("2/element/deleteDataDomainProfile.html","deleteDataDomainProfile",false,new Array(new CN("2/element/9.html","name",false,null))),new CN("2/element/deleteDataDomainProfileResponse.html","deleteDataDomainProfileResponse",false,null),new CN("2/element/deleteNode.html","deleteNode",false,new Array(new CN("2/element/10.html","hostname",false,null))),new CN("2/element/deleteNodeResponse.html","deleteNodeResponse",false,null),new CN("2/element/getClusterHealth.html","getClusterHealth",false,null),new CN("2/element/getClusterHealthResponse.html","getClusterHealthResponse",false,new Array(new CN("2/element/41.html","clusterHealth",false,null))),new CN("2/element/getDataDomainHealth.html","getDataDomainHealth",false,new Array(new CN("2/element/11.html","name",false,null))),new CN("2/element/getDataDomainHealthResponse.html","getDataDomainHealthResponse",false,new Array(new CN("2/element/54.html","dataDomainHealth",false,null))),new CN("2/element/getDataDomainProfile.html","getDataDomainProfile",false,new Array(new CN("2/element/12.html","name",false,null))),new CN("2/element/getDataDomainProfileResponse.html","getDataDomainProfileResponse",false,new Array(new CN("2/element/65.html","dataDomainProfile",false,null))),new CN("2/element/getNodeHealth.html","getNodeHealth",false,new Array(new CN("2/element/13.html","hostname",false,null))),new CN("2/element/getNodeHealthResponse.html","getNodeHealthResponse",false,new Array(new CN("2/element/74.html","nodeHealth",false,null))),new CN("2/element/getNodeProfile.html","getNodeProfile",false,null),new CN("2/element/getNodeProfileResponse.html","getNodeProfileResponse",false,new Array(new CN("2/element/76.html","nodeProfile",false,null))),new CN("2/element/listDataDomainProfiles.html","listDataDomainProfiles",false,null),new CN("2/element/listDataDomainProfilesResponse.html","listDataDomainProfilesResponse",false,new Array(new CN("2/element/66.html","dataDomainProfile",false,null))),new CN("2/element/listNodes.html","listNodes",false,null),new CN("2/element/listNodesResponse.html","listNodesResponse",false,new Array(new CN("2/element/75.html","nodeInfo",false,null))),new CN("2/element/putDataDomainProfile.html","putDataDomainProfile",false,new Array(new CN("2/element/67.html","dataDomainProfile",false,null))),new CN("2/element/putDataDomainProfileResponse.html","putDataDomainProfileResponse",false,null),new CN("2/element/setNodeProfile.html","setNodeProfile",false,new Array(new CN("2/element/77.html","nodeProfile",false,null))),new CN("2/element/setNodeProfileResponse.html","setNodeProfileResponse",false,null),new CN("2/element/usage.html","usage",false,null),new CN("2/element/usageResponse.html","usageResponse",false,new Array(new CN("2/element/79.html","usage",false,null)))),
					new Array());

componentNSMap ["http://www.endeca.com/endeca-server/cluster/1/0"] = "2/index.html";
componentDB ["http://www.endeca.com/endeca-server/types/1/0"] =  new C (new Array(),
					new Array(),
					new Array(new CN("1/simpletype/nonEmptyString.html","nonEmptyString",false,null),new CN("1/simpletype/nonNegativeInt.html","nonNegativeInt",false,null),new CN("1/simpletype/positiveInt.html","positiveInt",false,null),new CN("1/simpletype/positiveIntGreaterThanOne.html","positiveIntGreaterThanOne",false,null),new CN("1/simpletype/protocol.html","protocol",false,null),new CN("1/simpletype/sessionIdTypes.html","sessionIdTypes",false,null)),
					new Array(new CN("1/complextype/bulkLoadInfo.html","bulkLoadInfo",false,new Array(new CN("1/element/33.html","host",false,null),new CN("1/element/34.html","port",false,null))),new CN("1/complextype/clusterCoordinatorHealth.html","clusterCoordinatorHealth",false,new Array(new CN("1/element/0.html","hostname",false,null),new CN("1/element/35.html","available",false,null),new CN("1/element/36.html","detail",false,null))),new CN("1/complextype/clusterHealth.html","clusterHealth",false,new Array(new CN("1/element/37.html","clusterCoordinators",false,null),new CN("1/element/38.html","nodes",false,null),new CN("1/element/39.html","dataDomains",false,null),new CN("1/element/40.html","detail",false,null))),new CN("1/complextype/dataDomainDetail.html","dataDomainDetail",false,new Array(new CN("1/element/2.html","name",false,null),new CN("1/element/50.html","allowOversubscribe",false,null),new CN("1/element/51.html","allowQueriesOnLeader",false,null),new CN("1/element/15.html","numFollowers",false,null),new CN("1/element/52.html","readOnly",false,null),new CN("1/element/53.html","enabled",false,null),new CN("1/element/25.html","numComputeThreads",false,null),new CN("1/element/24.html","computeCacheSizeMB",false,null),new CN("1/element/17.html","startupTimeoutSeconds",false,null),new CN("1/element/16.html","shutdownTimeoutSeconds",false,null),new CN("1/element/31.html","sessionIdType",false,null),new CN("1/element/3.html","sessionIdKey",false,null),new CN("1/element/1.html","args",false,null))),new CN("1/complextype/dataDomainHealth.html","dataDomainHealth",false,new Array(new CN("1/element/4.html","dataDomainName",false,null),new CN("1/element/47.html","leaderNodeHealth",false,null),new CN("1/element/48.html","followerNodeHealth",false,null),new CN("1/element/49.html","detail",false,null))),new CN("1/complextype/dataDomainNodeHealth.html","dataDomainNodeHealth",false,new Array(new CN("1/element/55.html","nodeInfo",false,null),new CN("1/element/56.html","available",false,null),new CN("1/element/57.html","enabled",false,null),new CN("1/element/58.html","detail",false,null))),new CN("1/complextype/dataDomainNodeStats.html","dataDomainNodeStats",false,new Array(new CN("1/element/59.html","node",false,null),new CN("1/element/5.html","statsXML",false,null))),new CN("1/complextype/dataDomainProfile.html","dataDomainProfile",false,new Array(new CN("1/element/7.html","name",false,null),new CN("1/element/61.html","description",false,null),new CN("1/element/62.html","allowQueriesOnLeader",false,null),new CN("1/element/19.html","numFollowers",false,null),new CN("1/element/63.html","readOnly",false,null),new CN("1/element/64.html","allowOversubscribe",false,null),new CN("1/element/29.html","numComputeThreads",false,null),new CN("1/element/18.html","computeCacheSizeMB",false,null),new CN("1/element/21.html","startupTimeoutSeconds",false,null),new CN("1/element/20.html","shutdownTimeoutSeconds",false,null),new CN("1/element/32.html","sessionIdType",false,null),new CN("1/element/8.html","sessionIdKey",false,null),new CN("1/element/6.html","args",false,null))),new CN("1/complextype/dataDomainStats.html","dataDomainStats",false,new Array(new CN("1/element/22.html","indexSizeMB",false,null),new CN("1/element/23.html","numRecords",false,null),new CN("1/element/60.html","nodeStats",false,null))),new CN("1/complextype/dgraphVersion.html","dgraphVersion",false,new Array(new CN("1/element/68.html","name",false,null),new CN("1/element/69.html","version",false,null),new CN("1/element/70.html","build",false,null))),new CN("1/complextype/nodeDataDomainHealth.html","nodeDataDomainHealth",false,new Array(new CN("1/element/71.html","dataDomainName",false,null),new CN("1/element/72.html","available",false,null),new CN("1/element/73.html","detail",false,null))),new CN("1/complextype/nodeHealth.html","nodeHealth",false,new Array(new CN("1/element/42.html","nodeInfo",false,null),new CN("1/element/43.html","available",false,null),new CN("1/element/44.html","dataDomainHealth",false,null),new CN("1/element/45.html","clusterCoordinatorConnectionStatus",false,null),new CN("1/element/46.html","detail",false,null))),new CN("1/complextype/nodeInfo.html","nodeInfo",false,new Array(new CN("1/element/30.html","protocol",false,null),new CN("1/element/14.html","hostname",false,null),new CN("1/element/26.html","nodePort",false,null))),new CN("1/complextype/nodeProfile.html","nodeProfile",false,new Array(new CN("1/element/27.html","numCpuCores",false,null),new CN("1/element/28.html","ramSizeMB",false,null)))),
					new Array(),
					new Array(),
					new Array());

componentNSMap ["http://www.endeca.com/endeca-server/types/1/0"] = "1/index.html";
								   


