﻿/**
 *
 * Copyright (c) 2002-2004 Bluetetra Software.  All rights reserved.
 *
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL BLUETETRA SOFTWARE BE LIABLE FOR 
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
 * IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN 
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  
 * http://www.bluetetra.com
 *
 */

var target = "content";
var xsd_ciFileName = "componentIndex.html";
var xsd_nsFilterFileName = "nsFilter.html";

function CN (href, name, appendNSFlag, children) {
	this.href = href;
	this.name = name;
	this.appendNSFlag = appendNSFlag;

	this.children = children;
	this.hasChild = (children != null) && (children.length>0);	
	
	this.namespace = null;
}

function C (attributeList, attributeGroupList,
						simpleTypeList, complexTypeList,
						modelGroupList, elementList, 
						notationList) 
{
	this.attributes = attributeList;
	this.attributegroups = attributeGroupList;
	this.simpletypes = simpleTypeList;
	this.complextypes = complexTypeList;
	this.modelgroups = modelGroupList;
	this.elements = elementList;
	this.notations = notationList;
}

function component_showAllComponents() {
	parent._xsdNsFilter = null;
	parent.index.location.href= "xsd/" + xsd_ciFileName;
}

function component_filterComponents () {
	parent._href = "xsd/" + xsd_ciFileName;
	window.open(xsd_nsFilterFileName, "_blank", 
		"height=200,width=400,location=no,menubar=no,scrollbars=yes,status=yes,resizable=yes,toolbar=no");

}

function component_groupByNS (flag) {
	parent._groupByNSFlag = flag;
	parent.index.location.href=xsd_ciFileName;	
}

function component_setFilterToAll() {
	var nsList = new Array();
	var i = 0;

	for (var ns in componentDB) {
		if (parent._xsdNsFilter == null) {
			if (ns == "http://schemas.xmlsoap.org/soap/encoding/") {
				//NOOP
			} else {
				nsList[i] = ns;
				i++;
			}
		} else {
			nsList[i] = ns; 
			i++;		
		}
	}

	parent._xsdNsFilter = nsList;
}

function component_showComponentsNoNS (nsList, componentList) {

	var components = new Array ();
	var n = 0;

	for (var i=0; i<componentList.length; i++) {
		var list = componentList [i];
		var namespace = nsList[i];

		if (list == null) {
			continue;
		}
	
		for (var j=0; j<list.length; j++) {
			components[n] = list[j];
			components[n].namespace = namespace;
			n++;	
		}	
	}
	
	components = components.sort(function (n1,n2) {return n1.name.toLowerCase().localeCompare (n2.name.toLowerCase());});

	component_outputList (null, components);	
}


function component_showComponentsNS (nsList, componentList) {

	for (var i=0; i<componentList.length; i++) {
		var list = componentList [i];
		var namespace = nsList[i];

		if (list == null) {
			continue;
		}
	
		for (var j=0; j<list.length; j++) {
			list[j].namespace = namespace;
		}	

		component_outputList (namespace, list);	
	}
}


function component_showComponents (nsList, componentList) {
	if (parent._groupByNSFlag) {
		component_showComponentsNS (nsList, componentList)
	} else {
		component_showComponentsNoNS (nsList, componentList)
	}
}

function component_showAttributes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var attributes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		attributes [i] = componentDB [nsList[i]].attributes;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, attributes);
}

function component_showAttributeGroups() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var attributegroups = new Array();
	var nss = new Array();		

	for (var i=0; i<nsList.length; i++) {
		attributegroups [i] = componentDB [nsList[i]].attributegroups;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, attributegroups);
}

function component_showSimpleTypes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var simpletypes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		simpletypes [i] = componentDB [nsList[i]].simpletypes;	
		nss [i] = nsList[i];
	}		

	component_showComponents (nss, simpletypes);
}

function component_showComplexTypes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var complextypes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		complextypes [i] = componentDB [nsList[i]].complextypes;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, complextypes);
}

function component_showElements() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var elements = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		elements [i] = componentDB [nsList[i]].elements;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, elements);
}

function component_showModelGroups() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var modelgroups = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		modelgroups [i] = componentDB [nsList[i]].modelgroups;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, modelgroups);
}

function component_showNotations() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var notations = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		notations [i] = componentDB [nsList[i]].notations;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, notations);

}


function component_getNodeText(node) {
	if (node.appendNSFlag) {
		return node.name + "("+encodeURI(node.namespace)+")";
	} else {
		return node.name;
	} 
}

function component_outputLeaf (node) {
	var str = '<span class="leaf">'+
			  '<nobr><img src="img/leaf.gif" hspace="2" align="middle">'+
			  '<a class="chref" href="'+node.href+
			  '" title="'+component_getNodeText(node)+
			  '" target="'+target+'">'+component_getNodeText(node)+'</a></nobr>'+
			  '</span><br />'
	
	document.write (str);
}

function component_outputNonLeaf (node) {
	//initially, the childnodes are hidden

	var str = '<div><div class="nonleaf">'+
			'<nobr><img style="cursor: pointer" src="img/plus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			'<a class="chref" href="'+node.href+
			'" title="'+component_getNodeText(node)+
			'" target="'+target+'">'+component_getNodeText(node)+'</a></nobr></div>'+
			'<div style="display:none;margin-left: 0.8em">';

	document.write (str);

	var childs = node.children;
	for (var i=0; i<childs.length; i++) {
		component_outputTree (childs[i]);
	}					

	document.write ('</div></div>');
}

function component_outputTree (node) {
	if (node.hasChild == false) {
		component_outputLeaf (node);
	} else {
		component_outputNonLeaf (node);
	}
}

function component_outputList (ns, list) {	
	
	if (list == null || list.length<=0) {
		return;
	}

	if (parent._groupByNSFlag) {
		var fpath = componentNSMap[ns];

		var str = '<div class="nsBox"><div class="itemNS">'+
				'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
				'<a class="chref" href="'+fpath+
				'" title="'+encodeURI(ns)+
				'" target="'+target+'">'+encodeURI(ns)+'</a></nobr></div>'+
				'<div style="margin-left: 0.5em">';

		document.write (str);
	}

	for (var i=0; i<list.length; i++) {
		component_outputTree (list[i]);
	}
	
	if (parent._groupByNSFlag) {
		document.write ('</div></div>');
	}
}


var componentDB = new Array();
var componentNSMap = new Array();

componentDB ["http://www.endeca.com/MDEX/conversation/2/0"] =  new C (new Array(),
					new Array(),
					new Array(new CN("1/simpletype/MultiSelect.html","MultiSelect",false,null),new CN("1/simpletype/NonEmptyString.html","NonEmptyString",false,null),new CN("1/simpletype/RecordKind.html","RecordKind",false,null),new CN("1/simpletype/SearchMode.html","SearchMode",false,null),new CN("1/simpletype/SortDirection.html","SortDirection",false,null)),
					new Array(new CN("1/complextype/AppliedSearchAdjustment.html","AppliedSearchAdjustment",false,new Array(new CN("1/element/18.html","SearchFilter",false,null),new CN("1/element/0.html","AdjustedTerms",false,null))),new CN("1/complextype/ApplySpellingSuggestionOperator.html","ApplySpellingSuggestionOperator",false,new Array(new CN("1/element/20.html","SearchFilter",false,null),new CN("1/element/1.html","Replacement",false,null))),new CN("1/complextype/Assignment.html","Assignment",false,null),new CN("1/complextype/AssignmentList.html","AssignmentList",false,new Array(new CN("1/element/21.html","attribute",false,null))),new CN("1/complextype/AttributeGroupList.html","AttributeGroupList",false,new Array(new CN("1/element/22.html","GroupSummary",false,null))),new CN("1/complextype/AttributeGroupListConfig.html","AttributeGroupListConfig",false,null),new CN("1/complextype/AttributeMetadata.html","AttributeMetadata",false,null),new CN("1/complextype/AvailableSearchKey.html","AvailableSearchKey",false,new Array(new CN("1/element/26.html","Key",false,null),new CN("1/element/27.html","DisplayName",false,null))),new CN("1/complextype/AvailableSearchKeys.html","AvailableSearchKeys",false,new Array(new CN("1/element/28.html","AvailableSearchKey",false,null))),new CN("1/complextype/AvailableSearchKeysConfig.html","AvailableSearchKeysConfig",false,null),new CN("1/complextype/BreadcrumbConfig.html","BreadcrumbConfig",false,null),new CN("1/complextype/Breadcrumbs.html","Breadcrumbs",false,new Array(new CN("1/element/29.html","RefinementBreadcrumb",false,null),new CN("1/element/30.html","SearchBreadcrumb",false,null))),new CN("1/complextype/CatchAll.html","CatchAll",false,null),new CN("1/complextype/ClearOperator.html","ClearOperator",false,null),new CN("1/complextype/ColumnMetadata.html","ColumnMetadata",false,null),new CN("1/complextype/ComputedProperties.html","ComputedProperties",false,new Array(new CN("1/element/38.html","SearchSnippets",false,null),new CN("1/element/39.html","RelevanceRank",false,null))),new CN("1/complextype/ContentElement.html","ContentElement",false,null),new CN("1/complextype/ContentElementConfig.html","ContentElementConfig",false,null),new CN("1/complextype/Control.html","Control",false,new Array(new CN("1/element/44.html","Operator",false,null))),new CN("1/complextype/DataSourceFilterOperator.html","DataSourceFilterOperator",false,new Array(new CN("1/element/46.html","DataSourceFilter",false,null),new CN("1/element/2.html","DataSourceFilterString",false,null))),new CN("1/complextype/DimensionHierarchy.html","DimensionHierarchy",false,new Array(new CN("1/element/48.html","DimensionValueWithPath",false,null))),new CN("1/complextype/DimensionValue.html","DimensionValue",false,null),new CN("1/complextype/DimensionValueWithName.html","DimensionValueWithName",false,null),new CN("1/complextype/DimensionValueWithOperator.html","DimensionValueWithOperator",false,new Array(new CN("1/element/53.html","DimensionValue",false,null),new CN("1/element/55.html","Operator",false,null))),new CN("1/complextype/DimensionValueWithPath.html","DimensionValueWithPath",false,new Array(new CN("1/element/52.html","DimensionValue",false,null))),new CN("1/complextype/ExposureControl.html","ExposureControl",false,new Array(new CN("1/element/57.html","Operator",false,null))),new CN("1/complextype/GeneralizationOperator.html","GeneralizationOperator",false,null),new CN("1/complextype/GeocodeReferencePoint.html","GeocodeReferencePoint",false,null),new CN("1/complextype/GroupMembers.html","GroupMembers",false,null),new CN("1/complextype/GroupSummary.html","GroupSummary",false,new Array(new CN("1/element/23.html","Record",false,null),new CN("1/element/24.html","GroupMembers",false,null))),new CN("1/complextype/LQL.html","LQL",false,new Array(new CN("1/element/59.html","ResultRecords",false,null))),new CN("1/complextype/LQLConfig.html","LQLConfig",false,new Array(new CN("1/element/61.html","LQLQuery",false,null),new CN("1/element/3.html","LQLQueryString",false,null))),new CN("1/complextype/Match.html","Match",false,new Array(new CN("1/element/63.html","MatchingValue",false,null),new CN("1/element/64.html","FullPath",false,null))),new CN("1/complextype/NavigationMenu.html","NavigationMenu",false,new Array(new CN("1/element/66.html","NavigationMenuItemGroup",false,null),new CN("1/element/67.html","NavigationMenuItem",false,null))),new CN("1/complextype/NavigationMenuConfig.html","NavigationMenuConfig",false,new Array(new CN("1/element/71.html","RefinementGroupConfig",false,null),new CN("1/element/72.html","RefinementConfig",false,null))),new CN("1/complextype/NavigationMenuItem.html","NavigationMenuItem",false,new Array(new CN("1/element/58.html","ExposureControl",false,null),new CN("1/element/69.html","Refinement",false,null),new CN("1/element/54.html","RootDimensionValue",false,null),new CN("1/element/70.html","FullPath",false,null))),new CN("1/complextype/NavigationMenuItemGroup.html","NavigationMenuItemGroup",false,new Array(new CN("1/element/68.html","NavigationMenuItem",false,null))),new CN("1/complextype/Operator.html","Operator",false,null),new CN("1/complextype/PageOperator.html","PageOperator",false,null),new CN("1/complextype/Path.html","Path",false,new Array(new CN("1/element/56.html","DimensionValue",false,null))),new CN("1/complextype/PopDataSourceFilterOperator.html","PopDataSourceFilterOperator",false,null),new CN("1/complextype/PopRecordKindOperator.html","PopRecordKindOperator",false,null),new CN("1/complextype/PopSearchOperator.html","PopSearchOperator",false,new Array(new CN("1/element/78.html","SearchFilter",false,null))),new CN("1/complextype/PopSelectionFilterOperator.html","PopSelectionFilterOperator",false,null),new CN("1/complextype/PrivateOperator.html","PrivateOperator",false,null),new CN("1/complextype/Property.html","Property",false,new Array(new CN("1/element/79.html","PropertyRecord",false,null),new CN("1/element/80.html","DimensionRecord",false,null))),new CN("1/complextype/PropertyList.html","PropertyList",false,new Array(new CN("1/element/81.html","Property",false,null))),new CN("1/complextype/PropertyListConfig.html","PropertyListConfig",false,null),new CN("1/complextype/PropertyMatches.html","PropertyMatches",false,new Array(new CN("1/element/65.html","Match",false,null))),new CN("1/complextype/PropertyRestrictionList.html","PropertyRestrictionList",false,new Array(new CN("1/element/4.html","Property",false,null))),new CN("1/complextype/Record.html","Record",false,null),new CN("1/complextype/RecordCount.html","RecordCount",false,new Array(new CN("1/element/86.html","NumRecords",false,null))),new CN("1/complextype/RecordCountConfig.html","RecordCountConfig",false,null),new CN("1/complextype/RecordDetails.html","RecordDetails",false,new Array(new CN("1/element/37.html","Column",false,null),new CN("1/element/84.html","Record",false,null),new CN("1/element/49.html","DimensionHierarchy",false,null))),new CN("1/complextype/RecordDetailsConfig.html","RecordDetailsConfig",false,new Array(new CN("1/element/87.html","RecordSelector",false,null),new CN("1/element/5.html","Column",false,null))),new CN("1/complextype/RecordKindOperator.html","RecordKindOperator",false,new Array(new CN("1/element/16.html","RecordKind",false,null))),new CN("1/complextype/RecordList.html","RecordList",false,new Array(new CN("1/element/88.html","NumRecords",false,null),new CN("1/element/89.html","TotalPages",false,null),new CN("1/element/90.html","Column",false,null),new CN("1/element/91.html","RecordRange",false,null),new CN("1/element/50.html","DimensionHierarchy",false,null),new CN("1/element/92.html","RecordListEntry",false,null),new CN("1/element/45.html","PaginationControl",false,null))),new CN("1/complextype/RecordListColumnMetadata.html","RecordListColumnMetadata",false,new Array(new CN("1/element/93.html","SortControl",false,null))),new CN("1/complextype/RecordListConfig.html","RecordListConfig",false,new Array(new CN("1/element/6.html","Column",false,null),new CN("1/element/94.html","RecordsPerPage",false,null),new CN("1/element/95.html","Page",false,null),new CN("1/element/96.html","Sort",false,null))),new CN("1/complextype/RecordListEntry.html","RecordListEntry",false,new Array(new CN("1/element/85.html","Record",false,null),new CN("1/element/40.html","ComputedProperties",false,null))),new CN("1/complextype/RecordRange.html","RecordRange",false,null),new CN("1/complextype/RecordSelector.html","RecordSelector",false,null),new CN("1/complextype/Refinement.html","Refinement",false,new Array(new CN("1/element/74.html","Operator",false,null))),new CN("1/complextype/RefinementBreadcrumb.html","RefinementBreadcrumb",false,new Array(new CN("1/element/31.html","DimensionValue",false,null),new CN("1/element/32.html","Operator",false,null))),new CN("1/complextype/RefinementConfig.html","RefinementConfig",false,null),new CN("1/complextype/RefinementExposeOperator.html","RefinementExposeOperator",false,null),new CN("1/complextype/RefinementGroupConfig.html","RefinementGroupConfig",false,new Array(new CN("1/element/73.html","RefinementConfig",false,null))),new CN("1/complextype/RefinementHideOperator.html","RefinementHideOperator",false,null),new CN("1/complextype/RefinementOperator.html","RefinementOperator",false,null),new CN("1/complextype/RelevanceRank.html","RelevanceRank",false,null),new CN("1/complextype/Request.html","Request",false,new Array(new CN("1/element/8.html","OuterTransactionId",false,null),new CN("1/element/7.html","Language",false,null),new CN("1/element/97.html","State",false,null),new CN("1/element/75.html","Operator",false,null),new CN("1/element/43.html","ContentElementConfig",false,null),new CN("1/element/35.html","PassThrough",false,null))),new CN("1/complextype/ResultRecords.html","ResultRecords",false,new Array(new CN("1/element/51.html","DimensionHierarchy",false,null),new CN("1/element/25.html","AttributeMetadata",false,null),new CN("1/element/60.html","Record",false,null))),new CN("1/complextype/Results.html","Results",false,new Array(new CN("1/element/98.html","Request",false,null),new CN("1/element/42.html","ContentElement",false,null),new CN("1/element/36.html","PassThrough",false,null))),new CN("1/complextype/ResultValue.html","ResultValue",false,null),new CN("1/complextype/SearchAdjustmentConfig.html","SearchAdjustmentConfig",false,null),new CN("1/complextype/SearchAdjustments.html","SearchAdjustments",false,new Array(new CN("1/element/19.html","AppliedAdjustment",false,null),new CN("1/element/103.html","SuggestedAdjustment",false,null))),new CN("1/complextype/SearchBreadcrumb.html","SearchBreadcrumb",false,new Array(new CN("1/element/33.html","SearchFilter",false,null),new CN("1/element/34.html","Operator",false,null))),new CN("1/complextype/SearchFilter.html","SearchFilter",false,null),new CN("1/complextype/SearchOperator.html","SearchOperator",false,new Array(new CN("1/element/105.html","SearchFilter",false,null))),new CN("1/complextype/SearchSnippet.html","SearchSnippet",false,new Array(new CN("1/element/10.html","SnippetText",false,null),new CN("1/element/9.html","SnippetTerm",false,null))),new CN("1/complextype/SearchSnippets.html","SearchSnippets",false,new Array(new CN("1/element/41.html","SearchSnippet",false,null))),new CN("1/complextype/SelectedRefinementFilter.html","SelectedRefinementFilter",false,null),new CN("1/complextype/SelectionFilterOperator.html","SelectionFilterOperator",false,new Array(new CN("1/element/106.html","SelectionFilter",false,null),new CN("1/element/11.html","SelectionFilterString",false,null))),new CN("1/complextype/SelectRecordOperator.html","SelectRecordOperator",false,null),new CN("1/complextype/Sort.html","Sort",false,null),new CN("1/complextype/SortControl.html","SortControl",false,new Array(new CN("1/element/76.html","Operator",false,null))),new CN("1/complextype/SortOperator.html","SortOperator",false,null),new CN("1/complextype/State.html","State",false,new Array(new CN("1/element/99.html","SelectedRefinementFilter",false,null),new CN("1/element/100.html","SearchFilter",false,null),new CN("1/element/17.html","RecordKind",false,null),new CN("1/element/101.html","DataSourceFilter",false,null),new CN("1/element/12.html","DataSourceFilterString",false,null),new CN("1/element/102.html","SelectionFilter",false,null),new CN("1/element/13.html","SelectionFilterString",false,null))),new CN("1/complextype/SuggestedSearchAdjustment.html","SuggestedSearchAdjustment",false,new Array(new CN("1/element/104.html","SearchFilter",false,null),new CN("1/element/14.html","SuggestedTerms",false,null),new CN("1/element/77.html","Operator",false,null))),new CN("1/complextype/ValueSearch.html","ValueSearch",false,new Array(new CN("1/element/82.html","PropertyMatches",false,null))),new CN("1/complextype/ValueSearchConfig.html","ValueSearchConfig",false,new Array(new CN("1/element/15.html","SearchTerm",false,null),new CN("1/element/83.html","RestrictToProperties",false,null)))),
					new Array(),
					new Array(new CN("1/element/Fault.html","Fault",false,null),new CN("1/element/Request.html","Request",false,null),new CN("1/element/Results.html","Results",false,null)),
					new Array());

componentNSMap ["http://www.endeca.com/MDEX/conversation/2/0"] = "1/index.html";
componentDB ["http://www.endeca.com/MDEX/lql_parser/types"] =  new C (new Array(),
					new Array(),
					new Array(),
					new Array(new CN("2/complextype/AdditiveExpression.html","AdditiveExpression",false,new Array(new CN("2/element/107.html","leftOperand",false,null),new CN("2/element/108.html","rightOperand",false,null))),new CN("2/complextype/AndExpression.html","AndExpression",false,new Array(new CN("2/element/109.html","leftOperand",false,null),new CN("2/element/110.html","rightOperand",false,null))),new CN("2/complextype/AttributeRefExpression.html","AttributeRefExpression",false,new Array(new CN("2/element/111.html","statementQualifier",false,null))),new CN("2/complextype/BetweenExpression.html","BetweenExpression",false,new Array(new CN("2/element/112.html","operand",false,null),new CN("2/element/113.html","lowerBoundNotStrict",false,null),new CN("2/element/114.html","upperBoundStrict",false,null))),new CN("2/complextype/BooleanLiteral.html","BooleanLiteral",false,null),new CN("2/complextype/CaseClause.html","CaseClause",false,new Array(new CN("2/element/115.html","condition",false,null),new CN("2/element/116.html","consequent",false,null))),new CN("2/complextype/CaseExpression.html","CaseExpression",false,new Array(new CN("2/element/117.html","clauses",false,null),new CN("2/element/118.html","elseClause",false,null))),new CN("2/complextype/ComparisonExpression.html","ComparisonExpression",false,new Array(new CN("2/element/120.html","leftOperand",false,null),new CN("2/element/121.html","rightOperand",false,null))),new CN("2/complextype/ConstantKeyword.html","ConstantKeyword",false,null),new CN("2/complextype/CrossJoin.html","CrossJoin",false,new Array(new CN("2/element/122.html","leftChild",false,null),new CN("2/element/123.html","rightChild",false,null))),new CN("2/complextype/CubeRollup.html","CubeRollup",false,new Array(new CN("2/element/124.html","groupingSetList",false,null))),new CN("2/complextype/Direction.html","Direction",false,null),new CN("2/complextype/DoubleLiteral.html","DoubleLiteral",false,null),new CN("2/complextype/ElseClause.html","ElseClause",false,new Array(new CN("2/element/119.html","consequent",false,null))),new CN("2/complextype/ExistentialQuantifier.html","ExistentialQuantifier",false,new Array(new CN("2/element/127.html","universe",false,null),new CN("2/element/128.html","predicate",false,null))),new CN("2/complextype/ExpressionBase.html","ExpressionBase",false,null),new CN("2/complextype/From.html","From",false,new Array(new CN("2/element/151.html","source",false,null))),new CN("2/complextype/FullJoin.html","FullJoin",false,new Array(new CN("2/element/153.html","leftChild",false,null),new CN("2/element/154.html","rightChild",false,null),new CN("2/element/129.html","condition",false,null))),new CN("2/complextype/FunctionCallExpression.html","FunctionCallExpression",false,new Array(new CN("2/element/130.html","arguments",false,null),new CN("2/element/155.html","where",false,null))),new CN("2/complextype/Group.html","Group",false,new Array(new CN("2/element/156.html","groupingSetsList",false,null))),new CN("2/complextype/GroupBy.html","GroupBy",false,null),new CN("2/complextype/GroupByMembers.html","GroupByMembers",false,null),new CN("2/complextype/GroupingKeyBase.html","GroupingKeyBase",false,null),new CN("2/complextype/GroupingSet.html","GroupingSet",false,new Array(new CN("2/element/125.html","groupBys",false,null))),new CN("2/complextype/GroupingSets.html","GroupingSets",false,new Array(new CN("2/element/158.html","groupingSetList",false,null))),new CN("2/complextype/GroupSetBase.html","GroupSetBase",false,null),new CN("2/complextype/Having.html","Having",false,new Array(new CN("2/element/131.html","filter",false,null))),new CN("2/complextype/InExpression.html","InExpression",false,new Array(new CN("2/element/132.html","lookupValues",false,null))),new CN("2/complextype/InnerJoin.html","InnerJoin",false,new Array(new CN("2/element/160.html","leftChild",false,null),new CN("2/element/161.html","rightChild",false,null),new CN("2/element/133.html","condition",false,null))),new CN("2/complextype/IntegerLiteral.html","IntegerLiteral",false,null),new CN("2/complextype/LeftJoin.html","LeftJoin",false,new Array(new CN("2/element/162.html","leftChild",false,null),new CN("2/element/163.html","rightChild",false,null),new CN("2/element/134.html","condition",false,null))),new CN("2/complextype/LookupExpression.html","LookupExpression",false,new Array(new CN("2/element/135.html","lookupValues",false,null))),new CN("2/complextype/MetaVariable.html","MetaVariable",false,null),new CN("2/complextype/MultiplicativeExpression.html","MultiplicativeExpression",false,new Array(new CN("2/element/136.html","leftOperand",false,null),new CN("2/element/137.html","rightOperand",false,null))),new CN("2/complextype/Node.html","Node",false,null),new CN("2/complextype/NotExpression.html","NotExpression",false,new Array(new CN("2/element/138.html","operand",false,null))),new CN("2/complextype/NullnessExpression.html","NullnessExpression",false,new Array(new CN("2/element/139.html","operand",false,null))),new CN("2/complextype/OrderBy.html","OrderBy",false,new Array(new CN("2/element/140.html","expression",false,null),new CN("2/element/126.html","direction",false,null))),new CN("2/complextype/OrderByList.html","OrderByList",false,new Array(new CN("2/element/164.html","orderBys",false,null))),new CN("2/complextype/OrExpression.html","OrExpression",false,new Array(new CN("2/element/141.html","leftOperand",false,null),new CN("2/element/142.html","rightOperand",false,null))),new CN("2/complextype/PageBase.html","PageBase",false,null),new CN("2/complextype/Paging.html","Paging",false,null),new CN("2/complextype/PagingPercent.html","PagingPercent",false,null),new CN("2/complextype/Query.html","Query",false,new Array(new CN("2/element/62.html","statements",false,null))),new CN("2/complextype/RightJoin.html","RightJoin",false,new Array(new CN("2/element/169.html","leftChild",false,null),new CN("2/element/170.html","rightChild",false,null),new CN("2/element/143.html","condition",false,null))),new CN("2/complextype/Select.html","Select",false,new Array(new CN("2/element/144.html","expression",false,null))),new CN("2/complextype/SetLiteral.html","SetLiteral",false,new Array(new CN("2/element/145.html","elementValues",false,null))),new CN("2/complextype/SetMembershipExpression.html","SetMembershipExpression",false,new Array(new CN("2/element/146.html","leftOperand",false,null),new CN("2/element/147.html","rightOperand",false,null))),new CN("2/complextype/SourceBase.html","SourceBase",false,null),new CN("2/complextype/StandaloneFilter.html","StandaloneFilter",false,new Array(new CN("2/element/47.html","filter",false,null))),new CN("2/complextype/Statement.html","Statement",false,new Array(new CN("2/element/167.html","selects",false,null),new CN("2/element/152.html","from",false,null),new CN("2/element/168.html","where",false,null),new CN("2/element/157.html","group",false,null),new CN("2/element/159.html","having",false,null),new CN("2/element/165.html","order",false,null),new CN("2/element/166.html","paging",false,null))),new CN("2/complextype/StatementAlias.html","StatementAlias",false,null),new CN("2/complextype/StatementQualifier.html","StatementQualifier",false,null),new CN("2/complextype/StatementSource.html","StatementSource",false,new Array(new CN("2/element/171.html","alias",false,null))),new CN("2/complextype/StringLiteral.html","StringLiteral",false,null),new CN("2/complextype/UniversalQuantifier.html","UniversalQuantifier",false,new Array(new CN("2/element/149.html","universe",false,null),new CN("2/element/148.html","predicate",false,null))),new CN("2/complextype/Where.html","Where",false,new Array(new CN("2/element/150.html","filter",false,null)))),
					new Array(),
					new Array(new CN("2/element/queryWrapper.html","queryWrapper",false,null)),
					new Array());

componentNSMap ["http://www.endeca.com/MDEX/lql_parser/types"] = "2/index.html";
								   


