﻿/**
 *
 * Copyright (c) 2002-2004 Bluetetra Software.  All rights reserved.
 *
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL BLUETETRA SOFTWARE BE LIABLE FOR 
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
 * IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN 
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  
 * http://www.bluetetra.com
 *
 */

var target = "content";
var xsd_tiFileName = "typeTreeIndex.html";
var xsd_nsFilterFileName = "nsFilter.html";

function TN (href, prefix, ns, name, relation, simpletypeflag, children) {
	this.href = href;
	this.prefix = prefix;
	this.namespace = ns;
	this.name = name;
	this.relation = relation;
	this.simpletypeflag = simpletypeflag;
	this.children = children;

	this.hasChild = (children != null) && (children.length>0);	
}

function T (typeTree)
{
	this.typeTree = typeTree;
}

function typetree_showAllTypes() {
	parent._xsdNsFilter = null;
	parent.index.location.href= "xsd/" + xsd_tiFileName;
}

function typetree_filterTypes () {
	parent._href = "xsd/" + xsd_tiFileName;
	window.open(xsd_nsFilterFileName, "_blank", 
		"height=200,width=400,location=no,menubar=no,scrollbars=yes,status=yes,resizable=yes,toolbar=no");
}

function typetree_showTypes() {
	if (parent._xsdNsFilter == null) {
		typetree_setFilterToAll();
	}

	var nsList = parent._xsdNsFilter;
	var typetrees = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		typetrees [i] = typetreeDB [nsList[i]];	
		nss[i] = nsList[i];
	}		
	
	typetree_showTree (nss, typetrees); 
}

function typetree_setFilterToAll() {
	var nsList = new Array();
	var i = 0;

	for (var ns in typetreeDB) {
		if (parent._xsdNsFilter == null) {
			if (ns == "http://schemas.xmlsoap.org/soap/encoding/") {
				//NOOP
			} else {
				nsList[i] = ns;
				i++;
			}
		} else {
			nsList[i] = ns; 
			i++;		
		}
	}


	parent._xsdNsFilter = nsList;
}


function typetree_showTree (nsList, typetrees) {
	for (var i=0; i<nsList.length; i++) {
		var fpath = typetreeNSMap[nsList[i]];
		
		var str = '<div class="nsBox"><div class="itemNS">'+
			'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			'<a class="chref" href="'+fpath+
			'" title="'+encodeURI(nsList[i])+
			'" target="'+target+'">'+encodeURI(nsList[i])+'</a></nobr></div>'+
			'<div style="margin-left: 0.5em">';		

		document.write (str);

		typetree_outputList (typetrees[i].typeTree);
		

		document.write ('</div></div>');
	}
} 

function typetree_outputList (list) {
	for (var i=0; i<list.length; i++) {
		typetree_outputTree (list[i]);
	}
}

function typetree_outputTree (node) {
	if (node.hasChild == false) {
		typetree_outputLeaf (node);
	} else {
		typetree_outputNonLeaf (node);
	}
}


function typetree_outputLeaf (node) {
	var str = null;
	var nodeStr = null;

	if (node.prefix.length>0) {
		nodeStr = prefixedAnchorString(node)
	} else {
		nodeStr = anchorString (node)
	}

	str = '<span class="leaf"><nobr>' +
		  '<img src="img/leaf.gif" hspace="2" align="middle">' + 
		  nodeStr + '</nobr></span><br />';

	document.write (str);
}

function prefixedAnchorString (node) {
	return  '<a class="chref" href="'+node.href+
			'" target="'+target+ '"'+
			' title="ns=' + encodeURI(node.namespace)+'">'+
			node.prefix+':'+'</a>'+
			'<a class="chref" href="'+node.href+'" target="'+target+ '"'+
			' title="ns=' + encodeURI(node.namespace)+'">'+ node.name +
			'</a>'+typetree_getNodeIcon(node);
}

function anchorString (node) {
	return 	'<a class="chref" href="'+node.href+'" target="'+target+'"'+
			' title="ns=' + encodeURI(node.namespace)+'">'+ node.name +
			'</a>'+typetree_getNodeIcon(node);

}

function typetree_outputNonLeaf (node) {
	var str = null;
	var nodeStr = null;

	if (node.prefix.length>0) {
		nodeStr = prefixedAnchorString(node);
	} else {
		nodeStr = anchorString (node);
	}
		
	str = '<div><div class="nonleaf">'+
			'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			nodeStr +
			'</nobr></div>'+
			'<div style="margin-left: 0.8em">';

	document.write (str);

	var childs = node.children;
	for (var i=0; i<childs.length; i++) {
		typetree_outputTree (childs[i]);
	}					

	document.write ('</div></div>');
}

function typetree_getNodeIcon(node) {
	var rStr = null;
	if (node.relation == "none") {
		rStr = "";
	} else if (node.relation == "extension") {
		rStr = '<img alt="derived by extension" border="0" hspace="2" align="middle" src="img/extension.gif">';
	
	} else if (node.relation == "restriction") {
		rStr = '<img alt="derived by restriction" border="0" hspace="2" align="middle" src="img/restriction.gif">';
	
	} else if (node.relation == "list") {
		rStr = '<img alt="derived by list" border="0" hspace="2" align="middle" src="img/list.gif">';
	
	} else if (node.relation == "union") {
		rStr = '<img alt="derived by union" border="0" hspace="2" align="middle" src="img/union.gif">';
	
	}
	
	var typeStr = null;
	
	if (node.simpletypeflag) {
		typeStr = '<img alt="simple type" border="0" hspace="2" align="middle" src="img/simple.gif">'; 
	} else {
		typeStr = '<img alt="complex type" border="0" hspace="2" align="middle" src="img/complex.gif">';	
	} 

	return typeStr + rStr;
}

var typetreeDB = new Array();
var typetreeNSMap = new Array();

typetreeDB ["http://www.endeca.com/MDEX/conversation/2/0"] =  new T (new Array (new TN("1/complextype/AppliedSearchAdjustment.html","","http://www.endeca.com/MDEX/conversation/2/0","AppliedSearchAdjustment","none",false,null),new TN("1/complextype/AssignmentList.html","","http://www.endeca.com/MDEX/conversation/2/0","AssignmentList","none",false,new Array(new TN("1/complextype/GroupMembers.html","","http://www.endeca.com/MDEX/conversation/2/0","GroupMembers","restriction",false,null),new TN("1/complextype/Record.html","","http://www.endeca.com/MDEX/conversation/2/0","Record","restriction",false,null))),new TN("1/complextype/AttributeMetadata.html","","http://www.endeca.com/MDEX/conversation/2/0","AttributeMetadata","none",false,null),new TN("1/complextype/AvailableSearchKey.html","","http://www.endeca.com/MDEX/conversation/2/0","AvailableSearchKey","none",false,null),new TN("1/complextype/CatchAll.html","","http://www.endeca.com/MDEX/conversation/2/0","CatchAll","none",false,null),new TN("1/complextype/ColumnMetadata.html","","http://www.endeca.com/MDEX/conversation/2/0","ColumnMetadata","none",false,new Array(new TN("1/complextype/RecordListColumnMetadata.html","","http://www.endeca.com/MDEX/conversation/2/0","RecordListColumnMetadata","restriction",false,null))),new TN("1/complextype/ComputedProperties.html","","http://www.endeca.com/MDEX/conversation/2/0","ComputedProperties","none",false,null),new TN("1/complextype/ContentElement.html","cs_v2_0","http://www.endeca.com/MDEX/conversation/2/0","ContentElement","none",false,new Array(new TN("1/complextype/AttributeGroupList.html","","http://www.endeca.com/MDEX/conversation/2/0","AttributeGroupList","extension",false,null),new TN("1/complextype/AvailableSearchKeys.html","","http://www.endeca.com/MDEX/conversation/2/0","AvailableSearchKeys","extension",false,null),new TN("1/complextype/Breadcrumbs.html","","http://www.endeca.com/MDEX/conversation/2/0","Breadcrumbs","extension",false,null),new TN("1/complextype/LQL.html","","http://www.endeca.com/MDEX/conversation/2/0","LQL","restriction",false,null),new TN("1/complextype/NavigationMenu.html","","http://www.endeca.com/MDEX/conversation/2/0","NavigationMenu","restriction",false,null),new TN("1/complextype/PropertyList.html","","http://www.endeca.com/MDEX/conversation/2/0","PropertyList","restriction",false,null),new TN("1/complextype/RecordCount.html","","http://www.endeca.com/MDEX/conversation/2/0","RecordCount","restriction",false,null),new TN("1/complextype/RecordDetails.html","","http://www.endeca.com/MDEX/conversation/2/0","RecordDetails","restriction",false,null),new TN("1/complextype/RecordList.html","","http://www.endeca.com/MDEX/conversation/2/0","RecordList","restriction",false,null),new TN("1/complextype/SearchAdjustments.html","","http://www.endeca.com/MDEX/conversation/2/0","SearchAdjustments","restriction",false,null),new TN("1/complextype/ValueSearch.html","","http://www.endeca.com/MDEX/conversation/2/0","ValueSearch","restriction",false,null))),new TN("1/complextype/ContentElementConfig.html","cs_v2_0","http://www.endeca.com/MDEX/conversation/2/0","ContentElementConfig","none",false,new Array(new TN("1/complextype/AttributeGroupListConfig.html","","http://www.endeca.com/MDEX/conversation/2/0","AttributeGroupListConfig","extension",false,null),new TN("1/complextype/AvailableSearchKeysConfig.html","","http://www.endeca.com/MDEX/conversation/2/0","AvailableSearchKeysConfig","extension",false,null),new TN("1/complextype/BreadcrumbConfig.html","","http://www.endeca.com/MDEX/conversation/2/0","BreadcrumbConfig","extension",false,null),new TN("1/complextype/LQLConfig.html","","http://www.endeca.com/MDEX/conversation/2/0","LQLConfig","restriction",false,null),new TN("1/complextype/NavigationMenuConfig.html","","http://www.endeca.com/MDEX/conversation/2/0","NavigationMenuConfig","restriction",false,null),new TN("1/complextype/PropertyListConfig.html","","http://www.endeca.com/MDEX/conversation/2/0","PropertyListConfig","restriction",false,null),new TN("1/complextype/RecordCountConfig.html","","http://www.endeca.com/MDEX/conversation/2/0","RecordCountConfig","restriction",false,null),new TN("1/complextype/RecordDetailsConfig.html","","http://www.endeca.com/MDEX/conversation/2/0","RecordDetailsConfig","restriction",false,null),new TN("1/complextype/RecordListConfig.html","","http://www.endeca.com/MDEX/conversation/2/0","RecordListConfig","restriction",false,null),new TN("1/complextype/SearchAdjustmentConfig.html","","http://www.endeca.com/MDEX/conversation/2/0","SearchAdjustmentConfig","restriction",false,null),new TN("1/complextype/ValueSearchConfig.html","","http://www.endeca.com/MDEX/conversation/2/0","ValueSearchConfig","restriction",false,null))),new TN("1/complextype/Control.html","","http://www.endeca.com/MDEX/conversation/2/0","Control","none",false,null),new TN("1/complextype/DimensionHierarchy.html","","http://www.endeca.com/MDEX/conversation/2/0","DimensionHierarchy","none",false,null),new TN("1/complextype/DimensionValueWithOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","DimensionValueWithOperator","none",false,null),new TN("1/complextype/DimensionValueWithPath.html","","http://www.endeca.com/MDEX/conversation/2/0","DimensionValueWithPath","none",false,null),new TN("1/complextype/ExposureControl.html","","http://www.endeca.com/MDEX/conversation/2/0","ExposureControl","none",false,null),new TN("1/complextype/GeocodeReferencePoint.html","","http://www.endeca.com/MDEX/conversation/2/0","GeocodeReferencePoint","none",false,null),new TN("1/complextype/GroupSummary.html","","http://www.endeca.com/MDEX/conversation/2/0","GroupSummary","none",false,null),new TN("1/complextype/Match.html","","http://www.endeca.com/MDEX/conversation/2/0","Match","none",false,null),new TN("1/complextype/NavigationMenuItem.html","","http://www.endeca.com/MDEX/conversation/2/0","NavigationMenuItem","none",false,null),new TN("1/complextype/NavigationMenuItemGroup.html","","http://www.endeca.com/MDEX/conversation/2/0","NavigationMenuItemGroup","none",false,null),new TN("1/complextype/Operator.html","cs_v2_0","http://www.endeca.com/MDEX/conversation/2/0","Operator","none",false,new Array(new TN("1/complextype/ApplySpellingSuggestionOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","ApplySpellingSuggestionOperator","extension",false,null),new TN("1/complextype/ClearOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","ClearOperator","extension",false,null),new TN("1/complextype/DataSourceFilterOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","DataSourceFilterOperator","extension",false,null),new TN("1/complextype/GeneralizationOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","GeneralizationOperator","extension",false,null),new TN("1/complextype/PopDataSourceFilterOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","PopDataSourceFilterOperator","restriction",false,null),new TN("1/complextype/PopRecordKindOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","PopRecordKindOperator","restriction",false,null),new TN("1/complextype/PopSearchOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","PopSearchOperator","restriction",false,null),new TN("1/complextype/PopSelectionFilterOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","PopSelectionFilterOperator","restriction",false,null),new TN("1/complextype/PrivateOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","PrivateOperator","restriction",false,new Array(new TN("1/complextype/PageOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","PageOperator","extension",false,null),new TN("1/complextype/RefinementExposeOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","RefinementExposeOperator","extension",false,null),new TN("1/complextype/RefinementHideOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","RefinementHideOperator","extension",false,null),new TN("1/complextype/SelectRecordOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","SelectRecordOperator","extension",false,null),new TN("1/complextype/SortOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","SortOperator","extension",false,null))),new TN("1/complextype/RecordKindOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","RecordKindOperator","restriction",false,null),new TN("1/complextype/RefinementOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","RefinementOperator","restriction",false,null),new TN("1/complextype/SearchOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","SearchOperator","restriction",false,null),new TN("1/complextype/SelectionFilterOperator.html","","http://www.endeca.com/MDEX/conversation/2/0","SelectionFilterOperator","restriction",false,null))),new TN("1/complextype/Path.html","","http://www.endeca.com/MDEX/conversation/2/0","Path","none",false,null),new TN("1/complextype/Property.html","","http://www.endeca.com/MDEX/conversation/2/0","Property","none",false,null),new TN("1/complextype/PropertyMatches.html","","http://www.endeca.com/MDEX/conversation/2/0","PropertyMatches","none",false,null),new TN("1/complextype/PropertyRestrictionList.html","","http://www.endeca.com/MDEX/conversation/2/0","PropertyRestrictionList","none",false,null),new TN("1/complextype/RecordListEntry.html","","http://www.endeca.com/MDEX/conversation/2/0","RecordListEntry","none",false,null),new TN("1/complextype/RecordRange.html","","http://www.endeca.com/MDEX/conversation/2/0","RecordRange","none",false,null),new TN("1/complextype/RecordSelector.html","","http://www.endeca.com/MDEX/conversation/2/0","RecordSelector","none",false,null),new TN("1/complextype/Refinement.html","","http://www.endeca.com/MDEX/conversation/2/0","Refinement","none",false,null),new TN("1/complextype/RefinementBreadcrumb.html","","http://www.endeca.com/MDEX/conversation/2/0","RefinementBreadcrumb","none",false,null),new TN("1/complextype/RefinementConfig.html","","http://www.endeca.com/MDEX/conversation/2/0","RefinementConfig","none",false,null),new TN("1/complextype/RefinementGroupConfig.html","","http://www.endeca.com/MDEX/conversation/2/0","RefinementGroupConfig","none",false,null),new TN("1/complextype/Request.html","","http://www.endeca.com/MDEX/conversation/2/0","Request","none",false,null),new TN("1/complextype/ResultRecords.html","","http://www.endeca.com/MDEX/conversation/2/0","ResultRecords","none",false,null),new TN("1/complextype/Results.html","","http://www.endeca.com/MDEX/conversation/2/0","Results","none",false,null),new TN("1/complextype/SearchBreadcrumb.html","","http://www.endeca.com/MDEX/conversation/2/0","SearchBreadcrumb","none",false,null),new TN("1/complextype/SearchSnippet.html","","http://www.endeca.com/MDEX/conversation/2/0","SearchSnippet","none",false,null),new TN("1/complextype/SearchSnippets.html","","http://www.endeca.com/MDEX/conversation/2/0","SearchSnippets","none",false,null),new TN("1/complextype/SelectedRefinementFilter.html","","http://www.endeca.com/MDEX/conversation/2/0","SelectedRefinementFilter","none",false,null),new TN("1/complextype/Sort.html","","http://www.endeca.com/MDEX/conversation/2/0","Sort","none",false,new Array(new TN("1/complextype/SortControl.html","","http://www.endeca.com/MDEX/conversation/2/0","SortControl","restriction",false,null))),new TN("1/complextype/State.html","","http://www.endeca.com/MDEX/conversation/2/0","State","none",false,null),new TN("http://www.w3.org/TR/xmlschema-2/#string","","http://www.w3.org/2001/XMLSchema","string","none",true,new Array(new TN("1/complextype/Assignment.html","","http://www.endeca.com/MDEX/conversation/2/0","Assignment","restriction",false,null),new TN("1/complextype/DimensionValue.html","","http://www.endeca.com/MDEX/conversation/2/0","DimensionValue","restriction",false,new Array(new TN("1/complextype/DimensionValueWithName.html","","http://www.endeca.com/MDEX/conversation/2/0","DimensionValueWithName","extension",false,null))),new TN("1/simpletype/MultiSelect.html","","http://www.endeca.com/MDEX/conversation/2/0","MultiSelect","restriction",true,null),new TN("1/simpletype/NonEmptyString.html","","http://www.endeca.com/MDEX/conversation/2/0","NonEmptyString","restriction",true,new Array(new TN("1/complextype/ResultValue.html","","http://www.endeca.com/MDEX/conversation/2/0","ResultValue","restriction",false,null),new TN("1/complextype/SearchFilter.html","","http://www.endeca.com/MDEX/conversation/2/0","SearchFilter","restriction",false,null))),new TN("1/simpletype/RecordKind.html","","http://www.endeca.com/MDEX/conversation/2/0","RecordKind","restriction",true,null),new TN("1/simpletype/SearchMode.html","","http://www.endeca.com/MDEX/conversation/2/0","SearchMode","restriction",true,null),new TN("1/simpletype/SortDirection.html","","http://www.endeca.com/MDEX/conversation/2/0","SortDirection","restriction",true,null))),new TN("1/complextype/SuggestedSearchAdjustment.html","","http://www.endeca.com/MDEX/conversation/2/0","SuggestedSearchAdjustment","none",false,null),new TN("http://www.w3.org/TR/xmlschema-2/#unsignedInt","","http://www.w3.org/2001/XMLSchema","unsignedInt","none",true,new Array(new TN("1/complextype/RelevanceRank.html","","http://www.endeca.com/MDEX/conversation/2/0","RelevanceRank","restriction",false,null)))));
typetreeNSMap ["http://www.endeca.com/MDEX/conversation/2/0"] = "1/index.html";
typetreeDB ["http://www.endeca.com/MDEX/lql_parser/types"] =  new T (new Array (new TN("2/complextype/Node.html","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","Node","none",false,new Array(new TN("2/complextype/CaseClause.html","","http://www.endeca.com/MDEX/lql_parser/types","CaseClause","extension",false,null),new TN("2/complextype/Direction.html","","http://www.endeca.com/MDEX/lql_parser/types","Direction","extension",false,null),new TN("2/complextype/ElseClause.html","","http://www.endeca.com/MDEX/lql_parser/types","ElseClause","extension",false,null),new TN("2/complextype/ExpressionBase.html","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","ExpressionBase","restriction",false,new Array(new TN("2/complextype/AdditiveExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","AdditiveExpression","extension",false,null),new TN("2/complextype/AndExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","AndExpression","extension",false,null),new TN("2/complextype/AttributeRefExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","AttributeRefExpression","extension",false,null),new TN("2/complextype/BetweenExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","BetweenExpression","extension",false,null),new TN("2/complextype/BooleanLiteral.html","","http://www.endeca.com/MDEX/lql_parser/types","BooleanLiteral","extension",false,null),new TN("2/complextype/CaseExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","CaseExpression","extension",false,null),new TN("2/complextype/ComparisonExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","ComparisonExpression","extension",false,null),new TN("2/complextype/ConstantKeyword.html","","http://www.endeca.com/MDEX/lql_parser/types","ConstantKeyword","extension",false,null),new TN("2/complextype/DoubleLiteral.html","","http://www.endeca.com/MDEX/lql_parser/types","DoubleLiteral","extension",false,null),new TN("2/complextype/ExistentialQuantifier.html","","http://www.endeca.com/MDEX/lql_parser/types","ExistentialQuantifier","extension",false,null),new TN("2/complextype/FunctionCallExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","FunctionCallExpression","extension",false,null),new TN("2/complextype/InExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","InExpression","extension",false,null),new TN("2/complextype/IntegerLiteral.html","","http://www.endeca.com/MDEX/lql_parser/types","IntegerLiteral","extension",false,null),new TN("2/complextype/LookupExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","LookupExpression","extension",false,null),new TN("2/complextype/MultiplicativeExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","MultiplicativeExpression","extension",false,null),new TN("2/complextype/NotExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","NotExpression","extension",false,null),new TN("2/complextype/NullnessExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","NullnessExpression","extension",false,null),new TN("2/complextype/OrExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","OrExpression","extension",false,null),new TN("2/complextype/SetLiteral.html","","http://www.endeca.com/MDEX/lql_parser/types","SetLiteral","extension",false,null),new TN("2/complextype/SetMembershipExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","SetMembershipExpression","extension",false,null),new TN("2/complextype/StringLiteral.html","","http://www.endeca.com/MDEX/lql_parser/types","StringLiteral","extension",false,null),new TN("2/complextype/UniversalQuantifier.html","","http://www.endeca.com/MDEX/lql_parser/types","UniversalQuantifier","extension",false,null))),new TN("2/complextype/From.html","","http://www.endeca.com/MDEX/lql_parser/types","From","extension",false,null),new TN("2/complextype/Group.html","","http://www.endeca.com/MDEX/lql_parser/types","Group","extension",false,null),new TN("2/complextype/GroupingKeyBase.html","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","GroupingKeyBase","extension",false,new Array(new TN("2/complextype/GroupBy.html","","http://www.endeca.com/MDEX/lql_parser/types","GroupBy","extension",false,null),new TN("2/complextype/GroupByMembers.html","","http://www.endeca.com/MDEX/lql_parser/types","GroupByMembers","extension",false,null))),new TN("2/complextype/GroupingSets.html","","http://www.endeca.com/MDEX/lql_parser/types","GroupingSets","extension",false,null),new TN("2/complextype/GroupSetBase.html","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","GroupSetBase","extension",false,new Array(new TN("2/complextype/CubeRollup.html","","http://www.endeca.com/MDEX/lql_parser/types","CubeRollup","extension",false,null),new TN("2/complextype/GroupingSet.html","","http://www.endeca.com/MDEX/lql_parser/types","GroupingSet","extension",false,null))),new TN("2/complextype/Having.html","","http://www.endeca.com/MDEX/lql_parser/types","Having","extension",false,null),new TN("2/complextype/MetaVariable.html","","http://www.endeca.com/MDEX/lql_parser/types","MetaVariable","extension",false,null),new TN("2/complextype/OrderBy.html","","http://www.endeca.com/MDEX/lql_parser/types","OrderBy","restriction",false,null),new TN("2/complextype/OrderByList.html","","http://www.endeca.com/MDEX/lql_parser/types","OrderByList","restriction",false,null),new TN("2/complextype/PageBase.html","","http://www.endeca.com/MDEX/lql_parser/types","PageBase","restriction",false,new Array(new TN("2/complextype/Paging.html","","http://www.endeca.com/MDEX/lql_parser/types","Paging","extension",false,null),new TN("2/complextype/PagingPercent.html","","http://www.endeca.com/MDEX/lql_parser/types","PagingPercent","extension",false,null))),new TN("2/complextype/Query.html","","http://www.endeca.com/MDEX/lql_parser/types","Query","restriction",false,null),new TN("2/complextype/Select.html","","http://www.endeca.com/MDEX/lql_parser/types","Select","restriction",false,null),new TN("2/complextype/SourceBase.html","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","SourceBase","restriction",false,new Array(new TN("2/complextype/CrossJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","CrossJoin","extension",false,null),new TN("2/complextype/FullJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","FullJoin","extension",false,null),new TN("2/complextype/InnerJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","InnerJoin","extension",false,null),new TN("2/complextype/LeftJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","LeftJoin","extension",false,null),new TN("2/complextype/RightJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","RightJoin","extension",false,null),new TN("2/complextype/StatementSource.html","","http://www.endeca.com/MDEX/lql_parser/types","StatementSource","extension",false,null))),new TN("2/complextype/StandaloneFilter.html","","http://www.endeca.com/MDEX/lql_parser/types","StandaloneFilter","restriction",false,null),new TN("2/complextype/Statement.html","","http://www.endeca.com/MDEX/lql_parser/types","Statement","restriction",false,null),new TN("2/complextype/StatementAlias.html","","http://www.endeca.com/MDEX/lql_parser/types","StatementAlias","restriction",false,null),new TN("2/complextype/StatementQualifier.html","","http://www.endeca.com/MDEX/lql_parser/types","StatementQualifier","restriction",false,null),new TN("2/complextype/Where.html","","http://www.endeca.com/MDEX/lql_parser/types","Where","restriction",false,null)))));
typetreeNSMap ["http://www.endeca.com/MDEX/lql_parser/types"] = "2/index.html";
								   


