﻿/**
 *
 * Copyright (c) 2002-2004 Bluetetra Software.  All rights reserved.
 *
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL BLUETETRA SOFTWARE BE LIABLE FOR 
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
 * IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN 
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  
 * http://www.bluetetra.com
 *
 */

var target = "content";
var xsd_ciFileName = "componentIndex.html";
var xsd_nsFilterFileName = "nsFilter.html";

function CN (href, name, appendNSFlag, children) {
	this.href = href;
	this.name = name;
	this.appendNSFlag = appendNSFlag;

	this.children = children;
	this.hasChild = (children != null) && (children.length>0);	
	
	this.namespace = null;
}

function C (attributeList, attributeGroupList,
						simpleTypeList, complexTypeList,
						modelGroupList, elementList, 
						notationList) 
{
	this.attributes = attributeList;
	this.attributegroups = attributeGroupList;
	this.simpletypes = simpleTypeList;
	this.complextypes = complexTypeList;
	this.modelgroups = modelGroupList;
	this.elements = elementList;
	this.notations = notationList;
}

function component_showAllComponents() {
	parent._xsdNsFilter = null;
	parent.index.location.href= "xsd/" + xsd_ciFileName;
}

function component_filterComponents () {
	parent._href = "xsd/" + xsd_ciFileName;
	window.open(xsd_nsFilterFileName, "_blank", 
		"height=200,width=400,location=no,menubar=no,scrollbars=yes,status=yes,resizable=yes,toolbar=no");

}

function component_groupByNS (flag) {
	parent._groupByNSFlag = flag;
	parent.index.location.href=xsd_ciFileName;	
}

function component_setFilterToAll() {
	var nsList = new Array();
	var i = 0;

	for (var ns in componentDB) {
		if (parent._xsdNsFilter == null) {
			if (ns == "http://schemas.xmlsoap.org/soap/encoding/") {
				//NOOP
			} else {
				nsList[i] = ns;
				i++;
			}
		} else {
			nsList[i] = ns; 
			i++;		
		}
	}

	parent._xsdNsFilter = nsList;
}

function component_showComponentsNoNS (nsList, componentList) {

	var components = new Array ();
	var n = 0;

	for (var i=0; i<componentList.length; i++) {
		var list = componentList [i];
		var namespace = nsList[i];

		if (list == null) {
			continue;
		}
	
		for (var j=0; j<list.length; j++) {
			components[n] = list[j];
			components[n].namespace = namespace;
			n++;	
		}	
	}
	
	components = components.sort(function (n1,n2) {return n1.name.toLowerCase().localeCompare (n2.name.toLowerCase());});

	component_outputList (null, components);	
}


function component_showComponentsNS (nsList, componentList) {

	for (var i=0; i<componentList.length; i++) {
		var list = componentList [i];
		var namespace = nsList[i];

		if (list == null) {
			continue;
		}
	
		for (var j=0; j<list.length; j++) {
			list[j].namespace = namespace;
		}	

		component_outputList (namespace, list);	
	}
}


function component_showComponents (nsList, componentList) {
	if (parent._groupByNSFlag) {
		component_showComponentsNS (nsList, componentList)
	} else {
		component_showComponentsNoNS (nsList, componentList)
	}
}

function component_showAttributes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var attributes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		attributes [i] = componentDB [nsList[i]].attributes;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, attributes);
}

function component_showAttributeGroups() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var attributegroups = new Array();
	var nss = new Array();		

	for (var i=0; i<nsList.length; i++) {
		attributegroups [i] = componentDB [nsList[i]].attributegroups;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, attributegroups);
}

function component_showSimpleTypes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var simpletypes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		simpletypes [i] = componentDB [nsList[i]].simpletypes;	
		nss [i] = nsList[i];
	}		

	component_showComponents (nss, simpletypes);
}

function component_showComplexTypes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var complextypes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		complextypes [i] = componentDB [nsList[i]].complextypes;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, complextypes);
}

function component_showElements() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var elements = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		elements [i] = componentDB [nsList[i]].elements;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, elements);
}

function component_showModelGroups() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var modelgroups = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		modelgroups [i] = componentDB [nsList[i]].modelgroups;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, modelgroups);
}

function component_showNotations() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var notations = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		notations [i] = componentDB [nsList[i]].notations;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, notations);

}


function component_getNodeText(node) {
	if (node.appendNSFlag) {
		return node.name + "("+encodeURI(node.namespace)+")";
	} else {
		return node.name;
	} 
}

function component_outputLeaf (node) {
	var str = '<span class="leaf">'+
			  '<nobr><img src="img/leaf.gif" hspace="2" align="middle">'+
			  '<a class="chref" href="'+node.href+
			  '" title="'+component_getNodeText(node)+
			  '" target="'+target+'">'+component_getNodeText(node)+'</a></nobr>'+
			  '</span><br />'
	
	document.write (str);
}

function component_outputNonLeaf (node) {
	//initially, the childnodes are hidden

	var str = '<div><div class="nonleaf">'+
			'<nobr><img style="cursor: pointer" src="img/plus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			'<a class="chref" href="'+node.href+
			'" title="'+component_getNodeText(node)+
			'" target="'+target+'">'+component_getNodeText(node)+'</a></nobr></div>'+
			'<div style="display:none;margin-left: 0.8em">';

	document.write (str);

	var childs = node.children;
	for (var i=0; i<childs.length; i++) {
		component_outputTree (childs[i]);
	}					

	document.write ('</div></div>');
}

function component_outputTree (node) {
	if (node.hasChild == false) {
		component_outputLeaf (node);
	} else {
		component_outputNonLeaf (node);
	}
}

function component_outputList (ns, list) {	
	
	if (list == null || list.length<=0) {
		return;
	}

	if (parent._groupByNSFlag) {
		var fpath = componentNSMap[ns];

		var str = '<div class="nsBox"><div class="itemNS">'+
				'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
				'<a class="chref" href="'+fpath+
				'" title="'+encodeURI(ns)+
				'" target="'+target+'">'+encodeURI(ns)+'</a></nobr></div>'+
				'<div style="margin-left: 0.5em">';

		document.write (str);
	}

	for (var i=0; i<list.length; i++) {
		component_outputTree (list[i]);
	}
	
	if (parent._groupByNSFlag) {
		document.write ('</div></div>');
	}
}


var componentDB = new Array();
var componentNSMap = new Array();

componentDB ["http://www.endeca.com/MDEX/lql_parser/3/0"] =  new C (new Array(),
					new Array(),
					new Array(new CN("2/simpletype/NonEmptyString.html","NonEmptyString",false,null)),
					new Array(new CN("2/complextype/ConvertToString.html","ConvertToString",false,new Array(new CN("2/element/74.html","OuterTransactionId",false,null),new CN("2/element/73.html","Language",false,null),new CN("2/element/59.html","LQLAst",false,null))),new CN("2/complextype/ConvertToStringResponse.html","ConvertToStringResponse",false,new Array(new CN("2/element/75.html","LQLString",false,null))),new CN("2/complextype/EntityMetricsAST.html","EntityMetricsAST",false,new Array(new CN("2/element/77.html","OuterTransactionId",false,null),new CN("2/element/76.html","entityKey",false,null))),new CN("2/complextype/EntityMetricsASTResponse.html","EntityMetricsASTResponse",false,new Array(new CN("2/element/89.html","parsedMetric",false,null))),new CN("2/complextype/ParsedMetric.html","ParsedMetric",false,new Array(new CN("2/element/36.html","expressionAST",false,null))),new CN("2/complextype/ParseFilter.html","ParseFilter",false,new Array(new CN("2/element/80.html","OuterTransactionId",false,null),new CN("2/element/78.html","Language",false,null),new CN("2/element/79.html","LQLFilterString",false,null),new CN("2/element/90.html","ValidationEnabled",false,null))),new CN("2/complextype/ParseFilterResponse.html","ParseFilterResponse",false,new Array(new CN("2/element/70.html","LQLFilter",false,null))),new CN("2/complextype/ParseQuery.html","ParseQuery",false,new Array(new CN("2/element/83.html","OuterTransactionId",false,null),new CN("2/element/81.html","Language",false,null),new CN("2/element/82.html","LQLQueryString",false,null),new CN("2/element/91.html","ValidationEnabled",false,null))),new CN("2/complextype/ParseQueryResponse.html","ParseQueryResponse",false,new Array(new CN("2/element/64.html","LQLQuery",false,null))),new CN("2/complextype/ParserFault.html","ParserFault",false,new Array(new CN("2/element/84.html","LQLError",false,null))),new CN("2/complextype/ValidateFilterAST.html","ValidateFilterAST",false,new Array(new CN("2/element/86.html","OuterTransactionId",false,null),new CN("2/element/85.html","Language",false,null),new CN("2/element/71.html","LQLFilter",false,null))),new CN("2/complextype/ValidateFilterASTResponse.html","ValidateFilterASTResponse",false,null),new CN("2/complextype/ValidateQueryAST.html","ValidateQueryAST",false,new Array(new CN("2/element/88.html","OuterTransactionId",false,null),new CN("2/element/87.html","Language",false,null),new CN("2/element/65.html","LQLQuery",false,null))),new CN("2/complextype/ValidateQueryASTResponse.html","ValidateQueryASTResponse",false,null)),
					new Array(),
					new Array(new CN("2/element/convertToString.html","convertToString",false,null),new CN("2/element/convertToStringResponse.html","convertToStringResponse",false,null),new CN("2/element/entityMetricsAST.html","entityMetricsAST",false,null),new CN("2/element/entityMetricsASTResponse.html","entityMetricsASTResponse",false,null),new CN("2/element/parseFilter.html","parseFilter",false,null),new CN("2/element/parseFilterResponse.html","parseFilterResponse",false,null),new CN("2/element/parseQuery.html","parseQuery",false,null),new CN("2/element/parseQueryResponse.html","parseQueryResponse",false,null),new CN("2/element/parserFault.html","parserFault",false,null),new CN("2/element/validateFilterAST.html","validateFilterAST",false,null),new CN("2/element/validateFilterASTResponse.html","validateFilterASTResponse",false,null),new CN("2/element/validateQueryAST.html","validateQueryAST",false,null),new CN("2/element/validateQueryASTResponse.html","validateQueryASTResponse",false,null)),
					new Array());

componentNSMap ["http://www.endeca.com/MDEX/lql_parser/3/0"] = "2/index.html";
componentDB ["http://www.endeca.com/MDEX/lql_parser/types"] =  new C (new Array(),
					new Array(),
					new Array(),
					new Array(new CN("1/complextype/AdditiveExpression.html","AdditiveExpression",false,new Array(new CN("1/element/0.html","leftOperand",false,null),new CN("1/element/1.html","rightOperand",false,null))),new CN("1/complextype/AndExpression.html","AndExpression",false,new Array(new CN("1/element/2.html","leftOperand",false,null),new CN("1/element/3.html","rightOperand",false,null))),new CN("1/complextype/AttributeRefExpression.html","AttributeRefExpression",false,new Array(new CN("1/element/4.html","statementQualifier",false,null))),new CN("1/complextype/BetweenExpression.html","BetweenExpression",false,new Array(new CN("1/element/5.html","operand",false,null),new CN("1/element/6.html","lowerBoundNotStrict",false,null),new CN("1/element/7.html","upperBoundStrict",false,null))),new CN("1/complextype/BooleanLiteral.html","BooleanLiteral",false,null),new CN("1/complextype/CaseClause.html","CaseClause",false,new Array(new CN("1/element/8.html","condition",false,null),new CN("1/element/9.html","consequent",false,null))),new CN("1/complextype/CaseExpression.html","CaseExpression",false,new Array(new CN("1/element/10.html","clauses",false,null),new CN("1/element/11.html","elseClause",false,null))),new CN("1/complextype/ComparisonExpression.html","ComparisonExpression",false,new Array(new CN("1/element/13.html","leftOperand",false,null),new CN("1/element/14.html","rightOperand",false,null))),new CN("1/complextype/ConstantKeyword.html","ConstantKeyword",false,null),new CN("1/complextype/CrossJoin.html","CrossJoin",false,new Array(new CN("1/element/15.html","leftChild",false,null),new CN("1/element/16.html","rightChild",false,null))),new CN("1/complextype/CubeRollup.html","CubeRollup",false,new Array(new CN("1/element/17.html","groupingSetList",false,null))),new CN("1/complextype/Direction.html","Direction",false,null),new CN("1/complextype/DoubleLiteral.html","DoubleLiteral",false,null),new CN("1/complextype/ElseClause.html","ElseClause",false,new Array(new CN("1/element/12.html","consequent",false,null))),new CN("1/complextype/ExistentialQuantifier.html","ExistentialQuantifier",false,new Array(new CN("1/element/20.html","universe",false,null),new CN("1/element/21.html","predicate",false,null))),new CN("1/complextype/ExpressionBase.html","ExpressionBase",false,null),new CN("1/complextype/From.html","From",false,new Array(new CN("1/element/46.html","source",false,null))),new CN("1/complextype/FullJoin.html","FullJoin",false,new Array(new CN("1/element/48.html","leftChild",false,null),new CN("1/element/49.html","rightChild",false,null),new CN("1/element/22.html","condition",false,null))),new CN("1/complextype/FunctionCallExpression.html","FunctionCallExpression",false,new Array(new CN("1/element/23.html","arguments",false,null),new CN("1/element/50.html","where",false,null))),new CN("1/complextype/Group.html","Group",false,new Array(new CN("1/element/51.html","groupingSetsList",false,null))),new CN("1/complextype/GroupBy.html","GroupBy",false,null),new CN("1/complextype/GroupByMembers.html","GroupByMembers",false,null),new CN("1/complextype/GroupingKeyBase.html","GroupingKeyBase",false,null),new CN("1/complextype/GroupingSet.html","GroupingSet",false,new Array(new CN("1/element/18.html","groupBys",false,null))),new CN("1/complextype/GroupingSets.html","GroupingSets",false,new Array(new CN("1/element/53.html","groupingSetList",false,null))),new CN("1/complextype/GroupSetBase.html","GroupSetBase",false,null),new CN("1/complextype/Having.html","Having",false,new Array(new CN("1/element/24.html","filter",false,null))),new CN("1/complextype/InExpression.html","InExpression",false,new Array(new CN("1/element/25.html","lookupValues",false,null))),new CN("1/complextype/InnerJoin.html","InnerJoin",false,new Array(new CN("1/element/55.html","leftChild",false,null),new CN("1/element/56.html","rightChild",false,null),new CN("1/element/26.html","condition",false,null))),new CN("1/complextype/IntegerLiteral.html","IntegerLiteral",false,null),new CN("1/complextype/LeftJoin.html","LeftJoin",false,new Array(new CN("1/element/57.html","leftChild",false,null),new CN("1/element/58.html","rightChild",false,null),new CN("1/element/27.html","condition",false,null))),new CN("1/complextype/LookupExpression.html","LookupExpression",false,new Array(new CN("1/element/28.html","lookupValues",false,null))),new CN("1/complextype/MetaVariable.html","MetaVariable",false,null),new CN("1/complextype/MultiplicativeExpression.html","MultiplicativeExpression",false,new Array(new CN("1/element/29.html","leftOperand",false,null),new CN("1/element/30.html","rightOperand",false,null))),new CN("1/complextype/Node.html","Node",false,null),new CN("1/complextype/NotExpression.html","NotExpression",false,new Array(new CN("1/element/31.html","operand",false,null))),new CN("1/complextype/NullnessExpression.html","NullnessExpression",false,new Array(new CN("1/element/32.html","operand",false,null))),new CN("1/complextype/OrderBy.html","OrderBy",false,new Array(new CN("1/element/33.html","expression",false,null),new CN("1/element/19.html","direction",false,null))),new CN("1/complextype/OrderByList.html","OrderByList",false,new Array(new CN("1/element/60.html","orderBys",false,null))),new CN("1/complextype/OrExpression.html","OrExpression",false,new Array(new CN("1/element/34.html","leftOperand",false,null),new CN("1/element/35.html","rightOperand",false,null))),new CN("1/complextype/PageBase.html","PageBase",false,null),new CN("1/complextype/Paging.html","Paging",false,null),new CN("1/complextype/PagingPercent.html","PagingPercent",false,null),new CN("1/complextype/Query.html","Query",false,new Array(new CN("1/element/63.html","statements",false,null))),new CN("1/complextype/RightJoin.html","RightJoin",false,new Array(new CN("1/element/68.html","leftChild",false,null),new CN("1/element/69.html","rightChild",false,null),new CN("1/element/37.html","condition",false,null))),new CN("1/complextype/Select.html","Select",false,new Array(new CN("1/element/38.html","expression",false,null))),new CN("1/complextype/SetLiteral.html","SetLiteral",false,new Array(new CN("1/element/39.html","elementValues",false,null))),new CN("1/complextype/SetMembershipExpression.html","SetMembershipExpression",false,new Array(new CN("1/element/40.html","leftOperand",false,null),new CN("1/element/41.html","rightOperand",false,null))),new CN("1/complextype/SourceBase.html","SourceBase",false,null),new CN("1/complextype/StandaloneFilter.html","StandaloneFilter",false,new Array(new CN("1/element/42.html","filter",false,null))),new CN("1/complextype/Statement.html","Statement",false,new Array(new CN("1/element/66.html","selects",false,null),new CN("1/element/47.html","from",false,null),new CN("1/element/67.html","where",false,null),new CN("1/element/52.html","group",false,null),new CN("1/element/54.html","having",false,null),new CN("1/element/61.html","order",false,null),new CN("1/element/62.html","paging",false,null))),new CN("1/complextype/StatementAlias.html","StatementAlias",false,null),new CN("1/complextype/StatementQualifier.html","StatementQualifier",false,null),new CN("1/complextype/StatementSource.html","StatementSource",false,new Array(new CN("1/element/72.html","alias",false,null))),new CN("1/complextype/StringLiteral.html","StringLiteral",false,null),new CN("1/complextype/UniversalQuantifier.html","UniversalQuantifier",false,new Array(new CN("1/element/44.html","universe",false,null),new CN("1/element/43.html","predicate",false,null))),new CN("1/complextype/Where.html","Where",false,new Array(new CN("1/element/45.html","filter",false,null)))),
					new Array(),
					new Array(new CN("1/element/queryWrapper.html","queryWrapper",false,null)),
					new Array());

componentNSMap ["http://www.endeca.com/MDEX/lql_parser/types"] = "1/index.html";
								   


